Subject: bug#28345: 25.2.1: package-install-file and dynamic modules

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Jul 2021 15:05:48 +0200

Eli Zaretskii <[email-masked]> writes:

>> I'm not quite sure what the status of including .so files in Emacs
>> packages is now -- anybody know?  (.so files are architecture specific,
>> so I guess it's not something we do generally, but I guess people would
>> want to do it, anyway...) 
>
> Why not build the .so files as part of installing the package?

I think that's the recommended way to do it, but then you need gcc etc
on the client machines.  I can see how it'd be convenient for some
people to distribute pre-built .so packages for (say) a small homogenic
set of hosts.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no